org.apache.hadoop.fs

## Interface FsConstants

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface FsConstants

  FileSystem related constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FS_VIEWFS_OVERLOAD_SCHEME_TARGET_FS_IMPL_PATTERN`
    `static String` | `FTP_SCHEME`
    `static URI` | `LOCAL_FS_URI`
    `static int` | `MAX_PATH_LINKS`
    `static String` | `VIEWFS_SCHEME`
    `static String` | `VIEWFS_TYPE`
    `static URI` | `VIEWFS_URI` ViewFs: viewFs file system (ie the mount file system on client side)
    `static String` | `VIEWFSOS_TYPE`

- - ### Field Detail

    - #### LOCAL_FS_URI

          static final URI LOCAL_FS_URI

    - #### FTP_SCHEME

          static final String FTP_SCHEME

      See Also:
        Constant Field Values

    - #### MAX_PATH_LINKS

          static final int MAX_PATH_LINKS

      See Also:
        Constant Field Values

    - #### VIEWFS_URI

          static final URI VIEWFS_URI

      ViewFs: viewFs file system (ie the mount file system on client side)

    - #### VIEWFS_SCHEME

          static final String VIEWFS_SCHEME

      See Also:
        Constant Field Values

    - #### FS_VIEWFS_OVERLOAD_SCHEME_TARGET_FS_IMPL_PATTERN

          static final String FS_VIEWFS_OVERLOAD_SCHEME_TARGET_FS_IMPL_PATTERN

      See Also:
        Constant Field Values

    - #### VIEWFS_TYPE

          static final String VIEWFS_TYPE

      See Also:
        Constant Field Values

    - #### VIEWFSOS_TYPE

          static final String VIEWFSOS_TYPE

      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.